summarylogtreecommitdiffstats
path: root/update-scripts.sh
diff options
context:
space:
mode:
authorDanilo Bargen2021-12-06 12:29:05 +0100
committerDanilo Bargen2021-12-06 12:29:05 +0100
commitcce65be600669684d0360b0eadd16bc18e69dc2b (patch)
treea1da1b1639156e3caf726d62a7269707f6de6ff9 /update-scripts.sh
downloadaur-tezos-serokell.tar.gz
Initial commit
Diffstat (limited to 'update-scripts.sh')
-rwxr-xr-xupdate-scripts.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/update-scripts.sh b/update-scripts.sh
new file mode 100755
index 000000000000..32c09727de71
--- /dev/null
+++ b/update-scripts.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+# Config
+VERSION="11.0-1"
+
+# Download build scripts
+curl -o docker-static-build.sh https://raw.githubusercontent.com/serokell/tezos-packaging/v$VERSION/docker/docker-static-build.sh
+curl -o Dockerfile https://raw.githubusercontent.com/serokell/tezos-packaging/v$VERSION/docker/build/Dockerfile
+curl -o build-libusb-and-hidapi.sh https://raw.githubusercontent.com/serokell/tezos-packaging/v$VERSION/docker/build/build-libusb-and-hidapi.sh
+curl -o build-tezos.sh https://raw.githubusercontent.com/serokell/tezos-packaging/v$VERSION/docker/build/build-tezos.sh
+curl -o static_libs.patch https://raw.githubusercontent.com/serokell/tezos-packaging/v$VERSION/docker/build/static_libs.patch
+
+# Download protocols.json
+curl -o protocols.json https://raw.githubusercontent.com/serokell/tezos-packaging/v$VERSION/protocols.json
+
+# Patch docker-static-build.patch
+patch --forward --strip=1 --input="docker-static-build.patch"